> For the complete documentation index, see [llms.txt](https://docs.ult.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ult.dev/components/image.md).

# Image

### Styles

* Flexbox Styles
* View Styles
* Transform Styles

### Props

| Name                   | Type                                                      | Description                                                                                                                                                                                                                           |
| ---------------------- | --------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **accessibilityLabel** | `string`                                                  | <ul><li>Alternate text to display if the image cannot be loaded or by screen readers</li></ul>                                                                                                                                        |
| **headers**            | `{[headerName:  string]: string}`                         | <ul><li>HTTP headers to include when fetching the URL</li></ul>                                                                                                                                                                       |
| **onError**            | `(err?: Error) => void`                                   | <ul><li>Called when an error occurs that prevents the image from loading</li></ul>                                                                                                                                                    |
| **onLoad**             | `(size: Dimensions) => void`                              | <ul><li>Called when the image successfully loads</li></ul>                                                                                                                                                                            |
| **resizeMethod**       | `'auto' \| 'resize' \| 'scale'`                           | <ul><li>Android-specific resize property</li></ul>                                                                                                                                                                                    |
| **resizeMode**         | `'stretch' \| 'contain' \| 'cover' \| 'auto' \| 'repeat'` | <ul><li>Determines how to resize the image if its natural size does not match the size of the container </li><li>Note: In Web version, 'auto' doesn't scale down image if width/height smaller than the original image size</li></ul> |
| **source**             | `string`                                                  | <ul><li>URL to image</li></ul>                                                                                                                                                                                                        |
| **style**              | `ImageStyleRuleSet \| ImageStyleRuleSet[ ]`               | <ul><li>See below for supported styles</li></ul>                                                                                                                                                                                      |
| **testId**             | `string`                                                  | <ul><li>ID that can be used to identify the instantiated element for testing purposes</li></ul>                                                                                                                                       |
| **title**              | `string`                                                  | <ul><li>Tooltip for image</li></ul>                                                                                                                                                                                                   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ult.dev/components/image.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
